.js-projects-list-holder
  - if @projects.any?
    %ul.content-list
      - @projects.each do |project|
        %li.project-row.gl-align-items-center{ class: 'gl-display-flex!' }
          .avatar-container.rect-avatar.s40.gl-flex-shrink-0
            = project_icon(project, alt: '', class: 'avatar project-avatar s40', width: 40, height: 40)
          .gl-min-w-0.gl-flex-grow-1
            .title
              = link_to(admin_project_path(project)) do
                %span.project-full-name
                  %span.namespace-name
                    - if project.namespace
                      = project.namespace.human_name
                      \/
                  %span.project-name
                    = project.name

            - if project.description.present?
              .description
                = markdown_field(project, :description)
          .stats.gl-text-gray-500.gl-flex-shrink-0.gl-display-none.gl-sm-display-flex
            = gl_badge_tag storage_counter(project.statistics&.storage_size)
            = render_if_exists 'admin/projects/archived', project: project

          .controls.gl-flex-shrink-0.gl-ml-5
            = render Pajamas::ButtonComponent.new(href: edit_project_path(project), button_options: { id: dom_id(project, :edit) }) do
              = s_('Edit')
            = render Pajamas::ButtonComponent.new(variant: :danger, button_options: { class: 'delete-project-button', data: { delete_project_url: admin_project_path(project), project_name: project.name } }) do
              = s_('AdminProjects|Delete')

    = paginate @projects, theme: 'gitlab'
  - else
    .nothing-here-block= _('No projects found')

  #delete-project-modal
